<?php
class httprequests{
	/**
	 * Function returns the selected GET paramater value
	 * @param Name or array of GET parameter(s) name(s) $param
	 * @return Return paramater value or array of paramaters values in paramname->paramvalue format.
	 * If parameter is not exists or empty, the parameter value is set to NULL. 
	 */
	public function get($param){
		if(is_array($param)){
			$paramvalues = array();
			foreach($param as $p){
				if(isset($_GET[$p])){
					if(!empty($_GET[$p])){
						$paramvalues[$p] = $_GET[$p];
					}
					else
						$paramvalues[$p] = NULL;
				}
				else
					$paramvalues[$p] = NULL;
			}
		}elseif(isset($_GET[$param])){
			if(!empty($_GET[$param])){
				$paramvalues = $_GET[$param];
			}
			else
				$paramvalues = NULL;
		}
		else{
			$paramvalues = NULL;
		}
		return $paramvalues;
	}

	/**
	 * Function returns the selected POST paramater value
	 * @param Name or array of POST parameter(s) name(s) $param
	 * @return Return paramater value or array of paramaters values in paramname->paramvalue format.
	 * If parameter is not exists or empty, the parameter value is set to NULL. 
	 */
	public function post($param){
		if(is_array($param)){
			foreach($param as $p){
				if(isset($_POST[$p])){
					if(!empty($_POST[$p])){
						$paramvalues[$p] = $_POST[$p];
					}
					else
						$paramvalues[$p] = NULL;
				}
				else
					$paramvalues[$p] = NULL;
			}
		}elseif(isset($_POST[$param])){
			if(!empty($_POST[$param])){
				$paramvalues = $_POST[$param];
			}
			else
				$paramvalues = NULL;
		}
		else{
			$paramvalues = NULL;
		}
		return $paramvalues;
	}
}
?>